Package com.trilead.ssh2.packets

# Class PacketChannelOpenFailure

java.lang.Object
com.trilead.ssh2.packets.PacketChannelOpenFailure

public class PacketChannelOpenFailure extends Object
PacketChannelOpenFailure.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`description`
`String`
`languageTag`
`int`
`reasonCode`
`int`
`recipientChannelID`

## Constructor Summary

Constructors
Constructor
Description
`PacketChannelOpenFailure(byte[] payload, int off, int len)`
`PacketChannelOpenFailure(int recipientChannelID, int reasonCode, String description, String languageTag)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### recipientChannelID

public int recipientChannelID

### reasonCode

public int reasonCode

### description

public String description

### languageTag

public String languageTag

## Constructor Details

### PacketChannelOpenFailure

public PacketChannelOpenFailure(int recipientChannelID, int reasonCode, String description, String languageTag)

### PacketChannelOpenFailure

public PacketChannelOpenFailure(byte[] payload, int off, int len) throws IOException

Throws:
  `IOException`

## Method Details

### getPayload

public byte[] getPayload()